0

Have a problem with web3. In the project on angular use this library. In all browsers everything is good but in ie 11 it gives an error and does not load.

enter image description here

Error in this line

const {keccak256, keccak256s} = __webpack_require__("../../../../web3/packages/web3-eth-accounts/node_modules/eth-lib/src/hash.js");

Can't find identifier, and crashed all app! Error throws in IE only. All polyfills install to angular, if I excluded this lib, project run correctly. Thanks for any idea.

  • Use web3 version 1.0.0_beta18, node v 6.11.2, npm 3.10.10 – Andrey Patseiko Sep 4 '17 at 6:06
  • This bug was fixed in web3 version 1.0.0_beta21. Big thanks.(Or maybe app start work in IE 11 because I install crypto-js library). If after update library doesn't work, just try run in terminal npm install crypto-js -D – Andrey Patseiko Sep 25 '17 at 10:54

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.